This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276697 - During ipa-server-install, CRITICAL Failed to load indices.ldif is shown
During ipa-server-install, CRITICAL Failed to load indices.ldif is shown
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: IPA Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 10:19 EDT by Jan Pazdziora
Modified: 2016-07-19 14:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:22:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-10-30 10:19:57 EDT
Description of problem:

When ipa-server-install is run, error is shown in the output:

Version-Release number of selected component (if applicable):

freeipa-server-4.1.4-4.fc22.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install freeipa-server.
2. Run ipa-server-install.

Actual results:

  [13/38]: enabling entryUSN plugin
  [14/38]: configuring lockout plugin
  [15/38]: creating indices
ipa         : CRITICAL Failed to load indices.ldif: Command ''/usr/bin/ldapmodify' '-v' '-f' '/usr/share/ipa/indices.ldif' '-H' 'ldap://ipa.example.com:389' '-x' '-D' 'cn=Directory Manager' '-y' '/tmp/tmpMLF3FI'' returned non-zero exit status 53
  [16/38]: enabling referential integrity plugin
  [17/38]: configuring certmap.conf
  [18/38]: configure autobind for root

Expected results:

  [13/38]: enabling entryUSN plugin
  [14/38]: configuring lockout plugin
  [15/38]: creating indices
  [16/38]: enabling referential integrity plugin
  [17/38]: configuring certmap.conf
  [18/38]: configure autobind for root

Additional info:

In /var/log/ipaserver-install.log, there is

replace nsIndexType:
        eq,pres
modifying entry "cn=ntUniqueId,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config"


2015-10-30T13:53:27Z DEBUG stderr=ldap_initialize( ldap://ipa.example.com:389/??base )
ldap_modify: Server is unwilling to perform (53)

2015-10-30T13:53:27Z CRITICAL Failed to load indices.ldif: Command ''/usr/bin/ldapmodify' '-v' '-f' '/usr/share/ipa/indices.ldif' '-H' 'ldap://ipa.example.com:389' '-x' '-D' 'cn=Directory Manager' '-y' '/tmp/tmpMLF3FI'' returned non-zero exit status 53
Comment 1 Jan Pazdziora 2015-10-30 10:20:41 EDT
The ipa-server-install sadly does not fail, due to https://fedorahosted.org/freeipa/ticket/2539 (aka bug 805176 and bug ​1265900).
Comment 3 Petr Vobornik 2015-10-30 11:17:21 EDT
fixed in https://git.fedorahosted.org/cgit/freeipa.git/commit/?id=16f47ed4520d4f89db39d1dc58be7a8efb1d8612

$ git tag --contains 16f47ed4520d4f89db39d1dc58be7a8efb1d8612
release-4-2-0
release-4-2-1
release-4-2-2
Comment 4 Jan Pazdziora 2015-10-30 11:21:33 EDT
Please consider backporting the fix to Fedora 22.
Comment 5 Petr Vobornik 2015-11-23 11:43:09 EST
is fixed upstream also in 4.1 branch
Comment 6 Mike McCune 2016-03-28 18:43:24 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Fedora End Of Life 2016-07-19 14:22:31 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.